Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.aegis.type.basic
Class ArrayType

    java.lang.Object
      org.codehaus.xfire.aegis.type.Type
          org.codehaus.xfire.aegis.type.basic.ArrayType

All Implemented Interfaces:
  SchemaType

Direct Known Subclasses:
  CollectionType

    public class ArrayType

extends Type

An ArrayType.

Author:
  Dan Diephouse

Constructor Summary
`ArrayType()`

Method Summary
`javax.xml.namespace.QName` | `getComponentName()`
`Type` | `getComponentType()` Get the `Type` of the elements in the array.
`java.util.Set` | `getDependencies()` Return a set of Type dependencies.
`boolean` | `isComplex()` We need to write a complex type schema for Beans, so return true.
`protected java.lang.Object` | `makeArray(java.lang.Class arrayType, java.util.List values)`
`java.lang.Object` | `readObject(MessageReader reader, MessageContext context)`
`void` | `setComponentName(javax.xml.namespace.QName componentName)`
`void` | `writeObject(java.lang.Object values, MessageWriter writer, MessageContext context)`
`void` | `writeSchema(org.codehaus.yom.Element root)` Write the type schema (if complex) to the element.
`protected void` | `writeValue(java.lang.Object value, MessageWriter writer, MessageContext context, Type type, java.lang.String name, java.lang.String ns)`

Methods inherited from class org.codehaus.xfire.aegis.type.Type
`equals, getSchemaType, getTypeClass, getTypeMapping, hashCode, isAbstract, isNillable, isWriteOuter, setAbstract, setNillable, setSchemaType, setTypeClass, setTypeMapping`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArrayType

    public ArrayType()

Method Detail

### readObject

    public java.lang.Object readObject(MessageReader reader,
                                       MessageContext context)
                                throws XFireFault

  Specified by:
    `readObject` in class `Type`
  Throws:
    `XFireFault`

### makeArray

    protected java.lang.Object makeArray(java.lang.Class arrayType,
                                         java.util.List values)

### writeObject

    public void writeObject(java.lang.Object values,
                            MessageWriter writer,
                            MessageContext context)
                     throws XFireFault

  Specified by:
    `writeObject` in class `Type`
  Throws:
    `XFireFault`

### writeValue

    protected void writeValue(java.lang.Object value,
                              MessageWriter writer,
                              MessageContext context,
                              Type type,
                              java.lang.String name,
                              java.lang.String ns)
                       throws XFireFault

  Throws:
    `XFireFault`

### writeSchema

    public void writeSchema(org.codehaus.yom.Element root)

  Description copied from interface: `SchemaType`
  Write the type schema (if complex) to the element.

  Specified by:
    `writeSchema` in interface `SchemaType`
  Overrides:
    `writeSchema` in class `Type`

### isComplex

    public boolean isComplex()

  We need to write a complex type schema for Beans, so return true.

  Specified by:
    `isComplex` in interface `SchemaType`
  Overrides:
    `isComplex` in class `Type`
  Returns:
    True if a complex type schema must be written.
  See Also:
    `Type.isComplex()`

### getComponentName

    public javax.xml.namespace.QName getComponentName()

### setComponentName

    public void setComponentName(javax.xml.namespace.QName componentName)

### getDependencies

    public java.util.Set getDependencies()

  Description copied from class: `Type`
  Return a set of Type dependencies. Returns null if this type has no dependencies.

  Specified by:
    `getDependencies` in interface `SchemaType`
  Overrides:
    `getDependencies` in class `Type`
  Returns:
  See Also:
    `Type.getDependencies()`

### getComponentType

    public Type getComponentType()

  Get the `Type` of the elements in the array.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.